Summary: The Maintenance Operations Protocol (MOP) loader daemon.
Name: mopd-linux
Version: 2.5.3
Release: 17
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://ftp.stacken.kth.se/pub/OS/NetBSD/mopd/mopd-linux-2.5.3.tar.gz
Source1: mopd.init
Patch: mopd-linux-string.patch
Patch1: mopd-buffer.patch
BuildRoot: %{_tmppath}/mopd-linux-root
PreReq: /sbin/chkconfig , /sbin/service

%description
The Maintenance Operations Protocol (MOP) loader daemon services MOP
load requests on one or all Ethernet interfaces.  Normally, a filename
(uppercase and ending in .SYS) is included in the load request; if no
filename is given, mopd must know what image to load.  When it
receives a request, mopd checks to see if the file exists in
/tftpboot/mop.  If the filename isn't given, the Ethernet address of
the target is used as a filename (e.g., 08002b09f4de.SYS, which might
be a soft link to another file).  Mopd supports files in a.out format
and a few Digital formats.

%prep
%setup -q -n mopd-linux
%patch0 -p1
%patch1 -p1

%build
(cd mopchk && make)
(cd mopd && make)
(cd mopprobe && make)
(cd moptrace && make)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
mkdir -p -m 755 $RPM_BUILD_ROOT%{_bindir}
mkdir -p -m 755 $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p -m 755 $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p -m 755 $RPM_BUILD_ROOT%{_sbindir}
mkdir -p -m 755 $RPM_BUILD_ROOT/tftpboot/mop

install -m 755 $RPM_BUILD_DIR/mopd-linux/mopchk/mopchk $RPM_BUILD_ROOT%{_bindir}/mopchk
install -m 755 $RPM_BUILD_DIR/mopd-linux/mopd/mopd $RPM_BUILD_ROOT%{_sbindir}/mopd
install -m 755 $RPM_BUILD_DIR/mopd-linux/mopprobe/mopprobe $RPM_BUILD_ROOT%{_bindir}/mopprobe
install -m 755 $RPM_BUILD_DIR/mopd-linux/moptrace/moptrace $RPM_BUILD_ROOT%{_bindir}/moptrace

install -m 644 $RPM_BUILD_DIR/mopd-linux/mopchk/mopchk.1 $RPM_BUILD_ROOT%{_mandir}/man1/mopchk.1
install -m 644 $RPM_BUILD_DIR/mopd-linux/mopd/mopd.8 $RPM_BUILD_ROOT%{_mandir}/man8/mopd.8
install -m 644 $RPM_BUILD_DIR/mopd-linux/mopprobe/mopprobe.1 $RPM_BUILD_ROOT%{_mandir}/man1/mopprobe.1
install -m 644 $RPM_BUILD_DIR/mopd-linux/moptrace/moptrace.1 $RPM_BUILD_ROOT%{_mandir}/man1/moptrace.1

install -m 755 $RPM_SOURCE_DIR/mopd.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/mopd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add mopd

%preun
if [ "$1" = "0" ]; then
	/sbin/service mopd stop > /dev/null 2>&1
	/sbin/chkconfig --del mopd
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service mopd condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc READ_THIS_FIRST
/tftpboot/mop
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/*/*
%config %{_sysconfdir}/rc.d/init.d/mopd

%changelog
* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- updated to initscript

* Tue Aug 8 2000 Tim Powers <timp@redhat.com>
- built for 7.0

* Tue Aug 8 2000 Tim Powers <timp@redhat.com>
- fixed security prolem noted at http://www.openbsd.org/errata.html#mopd,
  applied patch which was there.

* Wed Aug 1 2000 Tim Powers <timp@redhat.com>
- fixed bug #15139

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add missing restart function in startup script
- fix typo in startup script

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed initscript so that condrestart doesn't return 1 when the test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits back to rc.d/init.d, using /sbin/service to start inits

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken PreReq, now PreReq's /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- cleaned up initscript, pre , postun, preun sections of spec
- initscript now in correct location
- added PreReq's

* Thu Jun 8 2000 Tim Powers <timp@redhat.com>
- fixed man page location
- use predefined RPM macros whenever possible

* Tue May 16 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Wed Aug 18 1999 Tim Powers <timp@redhat.com>
- fixed problem with stale links on uninstall, chkconfig --del was failing

* Mon Jul 19 1999 Tim Powers <timp@redhat.com>
- rebuilt package for 6.1

* Sat Apr 17 1999 Michael Maher <mike@redhat.com>
- built package for 6.0

* Tue Jan 05 1999 Matthew Economou <xenophon@irtnog.org>
- added %attr flags to permit users without root access to build this package

* Sat Jan 02 1999 Matthew Economou <xenophon@irtnog.org>
- initial build
